上周,Canonical发布了针对所有受支持的Ubuntu Linux版本的新内核安全更新,以解决最近披露的L1 Terminal Fault(L1TF)漏洞CVE-2018-3620和CVE-2018-3646。

内核安全更新解决了L1 Terminal Fault漏洞,以及Juha-Matti Tilli在Linux内核的TCP和IP实现中发现的另外两个安全漏洞(CVE-2018-5390和CVE-2018-5391),这些漏洞可能允许远程攻击者会导致拒绝服务。

Canonical为Ubuntu 14.04 LTS Linux内核回归发布新补丁-Linux架构师

不幸的是,在Ubuntu 14.04 LTS(Trusty Tahr)系统上,用户报告称缓解措施还引入了Linux内核包中的回归,这可能会导致某些桌面环境中启动操作系统的用户出现内核错误。回归似乎也阻止了Java应用程序在Ubuntu 14.04 LTS系统上启动,因此Canonical为解决这个问题发布了一个新的内核版本,敦促所有用户尽快更新他们的安装。

“不幸的是,该更新引入了在某些环境中启动时导致内核错误以及阻止Java应用程序启动的回归。此更新解决了这些问题。我们为此带来的不便表示道歉,”安全公告中写道。

Canonical为Ubuntu 14.04 LTS Linux内核回归发布新补丁-Linux架构师

Ubuntu 14.04 LTS用户现在必须更新他们的系统

如果您正在使用原始Linux 3.13内核的Ubuntu 14.04 LTS(Trusty Tahr)操作系统,您应该立即将您的安装更新为32位,64位或PowerPC上的linux-image 3.13.0-156.206 64位系统,不管您使用的是generic内核, lowlatency内核或者generic-lpae内核。

在标准内核更新之后,建议用户重新启动他们的计算机,如果需要,重建他们可能已安装的任何内核模块(如果手动卸载标准内核元数据包)。请按照以下的说明更新您的PC。

·桌面版:

默认情况下,每天通知用户安全更新,每周通知用户非安全更新。 可以在Update Manager中设置Ubuntu如何提醒您以及如何配置系统以自动安装更新。 您可以随时按“Alt + F2”,输入“update-manager”并按Enter键来访问Update Manager。 它的设置可以通过按“设置”按钮进行调整。

一旦Update Manager打开,您可以查看并选择待定更新以及检查新更新。 只需按“安装更新”按钮即可将选定的软件包升级到更新版本。

·服务器版:

如果安装了update-notifier-common软件包,Ubuntu会在控制台或远程登录时通过当天的消息(motd)提醒您有关未决更新。

登录后,您可以检查并应用新的更新:

执行更新时,首先查看适配器将要执行的操作,然后确认要应用更新(运行开发版本时尤其如此)。

如果您希望自动应用更新,请确保已安装无人参与升级软件包,然后运行“dpkg-reconfigure unattended-upgrades”。 请注意,更新可能会重新启动服务器上的服务,因此这可能不适用于所有环境。